Package ru.bitel.bgbilling.modules.bill.common.bean.link

# Class BillLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.link.BillLink

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class BillLink
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BillLink()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getData()` |
  `java.util.Date` | `getLastModified()` |
  `java.util.List<BillLinkBlock>` | `getLinkBlocks()` |
  `int` | `getUserId()` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setLastModified​(java.util.Date lastModified)` |
  `void` | `setLinkBlocks​(java.util.List<BillLinkBlock> linkBlocks)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BillLink

    public BillLink()

- ## Method Details

  - ### getLastModified

    public java.util.Date getLastModified()

  - ### setLastModified

    public void setLastModified​(java.util.Date lastModified)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### getLinkBlocks

    public java.util.List<BillLinkBlock> getLinkBlocks()

  - ### setLinkBlocks

    public void setLinkBlocks​(java.util.List<BillLinkBlock> linkBlocks)